cascading.flow.planner.process

## Class FlowNodeGraph

- java.lang.Object
- - cascading.flow.planner.process.BaseProcessGraph<FlowNode>
  - - cascading.flow.planner.process.FlowNodeGraph

All Implemented Interfaces:
  ProcessGraph<FlowNode>, java.io.Serializable

    public class FlowNodeGraph
    extends BaseProcessGraph<FlowNode>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `FlowNodeGraph.FlowNodeComparator` Class FlowNodeComparator provides a consistent tie breaker when ordering nodes topologically.

### Field Summary

Fields
`static FlowNodeGraph.FlowNodeComparator` `FLOW_NODE_COMPARATOR`

### Fields inherited from class cascading.flow.planner.process.BaseProcessGraph

`sinkElements, sourceElements, trapsMap`

### Constructor Summary

Constructors
Constructor and Description
`FlowNodeGraph()`
`FlowNodeGraph(FlowElementGraph flowElementGraph, java.util.List<? extends ElementGraph> nodeSubGraphs)`
`FlowNodeGraph(FlowNodeFactory flowNodeFactory, FlowElementGraph flowElementGraph, java.util.List<? extends ElementGraph> nodeSubGraphs)`
`FlowNodeGraph(FlowNodeFactory flowNodeFactory, FlowElementGraph flowElementGraph, java.util.List<? extends ElementGraph> nodeSubGraphs, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> pipelineSubGraphsMap)`
`FlowNodeGraph(FlowNodeFactory flowNodeFactory, java.util.List<? extends ElementGraph> nodeSubGraphs)`

### Method Summary

Methods
`protected void` `buildGraph(FlowNodeFactory flowNodeFactory, FlowElementGraph flowElementGraph, java.util.List<? extends ElementGraph> nodeSubGraphs, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> pipelineSubGraphsMap)`
`java.util.Set<FlowElement>` `getFlowElementsFor(java.lang.Enum annotation)`
`java.util.Iterator<FlowNode>` `getOrderedTopologicalIterator()`

### Methods inherited from class cascading.flow.planner.process.BaseProcessGraph

`addEdge, addEdge, addVertex, bindEdges, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getAllSinkElements, getAllSourceElements, getAnnotations, getDuplicatedElements, getEdge, getEdgeSource, getEdgeTarget, getEdgeWeight, getElementGraphs, getElementGraphs, getElementGraphs, getElementProcesses, getElementProcesses, getElementSinkProcesses, getElementSourceProcesses, getIdentityElementGraphs, getIdentityProcesses, getOrderedTopologicalIterator, getOrdinalTopologicalIterator, getSinkElements, getSinkTaps, getSinkTapsMap, getSourceElements, getSourceTaps, getSourceTapsMap, getTopologicalIterator, getTrapsMap, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, printProcessGraph, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet, writeDOT, writeDOTNested`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FLOW_NODE_COMPARATOR

    public static final FlowNodeGraph.FlowNodeComparator FLOW_NODE_COMPARATOR

### Constructor Detail

#### FlowNodeGraph

    public FlowNodeGraph()

#### FlowNodeGraph

    public FlowNodeGraph(FlowElementGraph flowElementGraph,
                 java.util.List<? extends ElementGraph> nodeSubGraphs)

#### FlowNodeGraph

    public FlowNodeGraph(FlowNodeFactory flowNodeFactory,
                 java.util.List<? extends ElementGraph> nodeSubGraphs)

#### FlowNodeGraph

    public FlowNodeGraph(FlowNodeFactory flowNodeFactory,
                 FlowElementGraph flowElementGraph,
                 java.util.List<? extends ElementGraph> nodeSubGraphs)

#### FlowNodeGraph

    public FlowNodeGraph(FlowNodeFactory flowNodeFactory,
                 FlowElementGraph flowElementGraph,
                 java.util.List<? extends ElementGraph> nodeSubGraphs,
                 java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> pipelineSubGraphsMap)

### Method Detail

#### buildGraph

    protected void buildGraph(FlowNodeFactory flowNodeFactory,
                  FlowElementGraph flowElementGraph,
                  java.util.List<? extends ElementGraph> nodeSubGraphs,
                  java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> pipelineSubGraphsMap)

#### getFlowElementsFor

    public java.util.Set<FlowElement> getFlowElementsFor(java.lang.Enum annotation)

#### getOrderedTopologicalIterator

    public java.util.Iterator<FlowNode> getOrderedTopologicalIterator()